/*
 * Gaussian.c
 *
 *  Created on: Aug 16, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) cora.nwra.com)
 */

#include <math.h>

static double Gaussian_Mean = 0.0;
static double Gaussian_Variance = 1.0;

/**
 * Use newGaussian to change the mean and variance from the default, standard normal.
 * @param mean
 * @param variance
 */
void newGaussian(double mean, double variance) {
	Gaussian_Mean = mean;
	Gaussian_Variance = variance;
}

/**
 *
 */
double Gaussian(double x, double y) {
	double e;

	e = - ((x-Gaussian_Mean)*(x-Gaussian_Mean) + (y-Gaussian_Mean)*(y-Gaussian_Mean))/ (2.0 * Gaussian_Variance * Gaussian_Variance);
	e = exp(e);
	return e;

}

double GaussianConstant() {
	double C;

	// The constant C is taken so that the spatial integral of the target function is unity
	//C = 1.0 / (sqrt(2.0 * M_PI * Gaussian_Variance * Gaussian_Variance));
	C = 1.0 / (sqrt(2.0 * M_PI * Gaussian_Variance * Gaussian_Variance));
	return C;
}
