/*
 * Target.h
 *
 *  Created on: Aug 16, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) cora.nwra.com)
 */

#ifndef TARGET_H_
#define TARGET_H_

#include "utilities.h"
#include "MapDepthMatrix.h"
#include "BaseDirectory.h"

void newTarget(MATRIX f, int N, int Ny, int Nz, BaseDirectory *baseDir, BOOLEAN debug,
		BOOLEAN useFourierTransform);

// MAP_DEPTH_MATRIX *constructTarget(); This is really an internal function used by getTarget
void resetTarget(double sigmah, int sigmaStep);

MAP_DEPTH_MATRIX *getTarget();

void readTarget(char *inputFilename, int N, int Ny, int Nz, double sigmaCurrentValue,
		double sigmaCurrentStep, BaseDirectory *baseDir, BOOLEAN debug,
		BOOLEAN useFourierTransform);

void freeTarget();

#endif /* TARGET_H_ */
